Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZGroupEventCategory Class Reference

## Public Member Functions
| __construct ( $id=-1, $fetch=true)
| store ()
| delete ()
| get ( $id=-1)
& | getAll ()
& | getByParent ( $parent, $showAll=false, $sortby="name")
| path ( $EventCategoryID=0)
& | getTree ( $parentID=0, $level=0)
| id ()
| name ( $htmlchars=true)
| description ( $htmlchars=true)
| parentID ()
| parent ()
| setName ( $value)
| setDescription ( $value)
| setParent ( $value)
| dbInit ()

## Public Attributes
| $ID
| $Name
| $ParentID
| $Description
| $Database
| Variable for keeping the database connection. More...
| $State_
| Indicates the state of the object. In regard to database information. More...
| $IsConnected
| Is true if the object has database connection, false if not. More...
| $ExcludeFromSearch

## Detailed Description

! eZEventCalendar eZGroupEventCategory handles appointment categorys.

TODO Implement activeAppointments();

Definition at line 38 of file ezgroupeventcategory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGroupEventCategory::__construct | ( |  | $id = `-1`,
|  |  | $fetch = `true`
| ) |  |

Constructs a new eZGroupEventCategory object.

If $id is set the object's values are fetched from the database.

Definition at line 46 of file ezgroupeventcategory.php.

References $id, and $ID.

## Member Function Documentation

## ◆ dbInit()

eZGroupEventCategory::dbInit | ( |  | ) |

Private function.
Open the database for read and write. Gets all the database information from site.ini.

Definition at line 358 of file ezgroupeventcategory.php.

References eZDB\globalDatabase().

Referenced by delete(), get(), getAll(), getByParent(), and store().

## ◆ delete()

eZGroupEventCategory::delete | ( |  | ) |

Deletes a eZAppointmentGroup object from the database.

Definition at line 92 of file ezgroupeventcategory.php.

References dbInit().

## ◆ description()

eZGroupEventCategory::description | ( |  | $htmlchars = `true` | ) |

Returns the group description.

Definition at line 289 of file ezgroupeventcategory.php.

References $Description.

## ◆ get()

eZGroupEventCategory::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 107 of file ezgroupeventcategory.php.

References $id, dbInit(), and Name.

## ◆ getAll()

& eZGroupEventCategory::getAll | ( |  | ) |

Returns all the categories found in the database.

The categories are returned as an array of eZGroupEventCategory objects.

Definition at line 140 of file ezgroupeventcategory.php.

References $i, and dbInit().

## ◆ getByParent()

& eZGroupEventCategory::getByParent | ( |  | $parent,
|  |  | $showAll = `false`,
|  |  | $sortby = `"name"`
| ) |  |

Returns the categorys with the EventCategory given as parameter as parent.

If $showAll is set to true every EventCategory is shown. By default the categories set as exclude from search is excluded from this query.

The categories are returned as an array of eZGroupEventCategory objects.

Definition at line 165 of file ezgroupeventcategory.php.

References $i, and dbInit().

## ◆ getTree()

& eZGroupEventCategory::getTree | ( |  | $parentID = `0`,
|  |  | $level = `0`
| ) |  |

Returns the categories sorted as a tree.

Definition at line 241 of file ezgroupeventcategory.php.

References $level, and $tree.

## ◆ id()

eZGroupEventCategory::id | ( |  | ) |

Returns the object ID to the EventCategory. This is the unique ID stored in the database.

Definition at line 266 of file ezgroupeventcategory.php.

References $ID.

## ◆ name()

eZGroupEventCategory::name | ( |  | $htmlchars = `true` | ) |

Returns the name of the EventCategory.

Definition at line 274 of file ezgroupeventcategory.php.

References $Name, and Name.

## ◆ parent()

eZGroupEventCategory::parent | ( |  | ) |

Returns the parent if one exist. If not 0 is returned.

Definition at line 312 of file ezgroupeventcategory.php.

## ◆ parentID()

eZGroupEventCategory::parentID | ( |  | ) |

Returns the parentID, which is 0 if there is no parent.

Definition at line 304 of file ezgroupeventcategory.php.

References $ParentID.

## ◆ path()

eZGroupEventCategory::path | ( |  | $EventCategoryID = `0` | ) |

Returns the current path as an array of arrays.

The array is built up like: array( array( id, name ), array( id, name ) );

See detailed description for an example of usage.

Definition at line 210 of file ezgroupeventcategory.php.

References $ID.

## ◆ setDescription()

eZGroupEventCategory::setDescription | ( |  | $value | ) |

Sets the description of the EventCategory.

Definition at line 338 of file ezgroupeventcategory.php.

## ◆ setName()

eZGroupEventCategory::setName | ( |  | $value | ) |

Sets the name of the EventCategory.

Definition at line 327 of file ezgroupeventcategory.php.

References $ID, and Name.

## ◆ setParent()

eZGroupEventCategory::setParent | ( |  | $value | ) |

Sets the parent EventCategory.

Definition at line 346 of file ezgroupeventcategory.php.

## ◆ store()

eZGroupEventCategory::store | ( |  | ) |

Stores a eZGroupEventCategory object to the database.

Definition at line 65 of file ezgroupeventcategory.php.

References dbInit().

## Member Data Documentation

## ◆ $Database

eZGroupEventCategory::$Database

Variable for keeping the database connection.

Definition at line 373 of file ezgroupeventcategory.php.

## ◆ $Description

eZGroupEventCategory::$Description

Definition at line 370 of file ezgroupeventcategory.php.

Referenced by description().

## ◆ $ExcludeFromSearch

eZGroupEventCategory::$ExcludeFromSearch

Definition at line 379 of file ezgroupeventcategory.php.

## ◆ $ID

eZGroupEventCategory::$ID

Definition at line 367 of file ezgroupeventcategory.php.

Referenced by __construct(), id(), path(), and setName().

## ◆ $IsConnected

eZGroupEventCategory::$IsConnected

Is true if the object has database connection, false if not.

Definition at line 378 of file ezgroupeventcategory.php.

## ◆ $Name

eZGroupEventCategory::$Name

Definition at line 368 of file ezgroupeventcategory.php.

Referenced by name().

## ◆ $ParentID

eZGroupEventCategory::$ParentID

Definition at line 369 of file ezgroupeventcategory.php.

Referenced by parentID().

## ◆ $State_

eZGroupEventCategory::$State_

Indicates the state of the object. In regard to database information.

Definition at line 376 of file ezgroupeventcategory.php.

The documentation for this class was generated from the following file:

- ezgroupeventcategory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.